# <img src="https://git.cubable.date/BillPay/app/~raw/dev/assets/icon.png" alt="icon" width="45" height="45"/> BillPay (WIP)

A fully Independent Application for cross platform

## 🎯 Purpose for BillPay
It has been difficult for me to manage my bills by having multiple apps installed on my mobile device, and I am sure many other people do too. There are many services here that provide all in one bill pay but they are so locked out we have to login to pay, and to pay we have to communicate with a third party bank account to send it credit so we can process our payments. If those services go down there is no possibility that we can further process our bills through those platforms. 
So what could be better than having a fully independent App where YOU control YOUR bills and payments without having to rely on a thirdparty service.


## 💧 Features
**🈚 Independent:**
    Application doesnt rely on any thirdparty service to process any bill payments other than banks which are included by the vendor

**🧩 Plugins:**
    Apps can be pluggable, if user dont want to see them they can turn it off

***♻️ Backup & Restore:***
    Backup Payment History and Restore them on any device


## ⏬ Downloads
- Grab your own copy from [Builds](https://git.cubable.date/BillPay/app/~builds)


## 🦮 Build Guide
### 📜 Requirements
- flutter
- python 3.11.1
- android studio (for android)
- Visual Studio (for Windows)
- Xcode (for IOS)
- Chrome (for Web)

### 🛠️ Build Steps
- Create a python virtualenv: `python -m venv venv`
- Activate virtualenv:
    - Windows: `.\venv\Scripts\activate`
    - Linux/MacOS: `source venv/bin/activate`
- Install requirements: `pip install -r requirements.txt`
- Run interactive for debugging:
    - `flet run --<platform>` where the platform is either `ios` `android` `web`
- To Build Release:
    - `flet build <platform> --verbose` where `<platform>` is either `ios` `android` `web`


### Developed with ❤️:

<img src="https://asset.brandfetch.io/idmUOaSbid/id6mBl43Pj.jpeg" alt="drawing" width="50" height="50"/>
<img src="https://asset.brandfetch.io/idbpOFBgcc/idcTemqrrW.svg" alt="drawing" width="50" height="50"/> 
<img src="https://asset.brandfetch.io/idEMZUpQF7/idvArxAqXg.svg" alt="drawing" width="50" height="50"/> 
