import flet as ft


class Theme:
    def __init__(self, page: ft.Page) -> None:
        self.page = page

    def change(self, theme: ft.ThemeMode = None):
        if theme:
            self.page.theme_mode = theme
        else:
            self.page.theme_mode = (
                ft.ThemeMode.DARK
                if self.page.theme_mode == ft.ThemeMode.LIGHT
                else ft.ThemeMode.LIGHT
            )
        self.page.update()
